Page MenuHomePhabricator

Top Edits added text does not account for edits that were reverted
Closed, ResolvedPublic

Description

This may or may not be desirable, but it seems unlike ArticleInfo, Top Edits does not discount reverted edits when computing the total added text.

See the discrepancy with User:Ozzie10aaaa: On ArticleInfo they are reported as having added 31,252 bytes, whereas on Top Edits they are reported as having added 35,940 bytes.

If we wanted to make them consistent, the Top Edits tool might be slowed down a bit, but it might be worth it. Even better, we should show both statistics, and include the number of edits that were reverted, and in the table highlight these edits. That would be pretty nifty, I think, and would clear up the discrepancy.

Event Timeline

MusikAnimal moved this task from Inbox to Other on the XTools board.Nov 7 2017, 11:55 PM

thank you for ongoing help w/ article stats

Ozzie10aaaa added a comment.EditedNov 8 2017, 11:33 AM

so as .....
KylieTastic added a subscriber: KylieTastic.
Sat, Nov 4, 4:53 PM
Comment Actions
Hi Ozzie10aaaa, I just looked at https://xtools.wmflabs.org/articleinfo/en.wikipedia.org/Dyslexia and I see you as rank 2 by number of edits, and 5th by bytes added, so I assume you just mean the "Top 10 by added text" pie-chart that does appear to be showing differnt data. The pie chart appears to be showing the edits without the caveat 2 on the table, so editors like the anon 67.68.57.35 who do 1 edit of 242,636 bytes is top of that one...................................... It would seam reasonable it should show the same as the table

indicated will this process .......It would seam reasonable it should show the same as the table?...thank you again

I'm checking in regularly to see if theres anything new with the Dyslexia article request, I want to thank you MusikAnimal for your continued help..........Ozzie A.

Fixed with 2ac7206, but is subject to the same caveats as ArticleInfo, as described at T179996#3911894

MusikAnimal closed this task as Resolved.Jan 19 2018, 9:18 PM
MusikAnimal claimed this task.
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.